summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorredtide2019-06-06 00:04:04 +0200
committerredtide2019-06-06 00:04:04 +0200
commit84092e5d1989d87f8bfd81268d9bdd80743aeed8 (patch)
tree3a94ec711a971545cec45ce853a9aabd2b3fba8e
downloadaur-84092e5d1989d87f8bfd81268d9bdd80743aeed8.tar.gz
First commit.
-rw-r--r--.SRCINFO14
-rw-r--r--PKGBUILD35
2 files changed, 49 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..fd123ee6f7b
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,14 @@
+pkgbase = sfizz
+ pkgdesc = Juce based SFZ format sampler
+ pkgver = r48.5835a17
+ pkgrel = 1
+ url = https://github.com/sfztools/sfizz
+ arch = x86_64
+ license = GPL3
+ makedepends = git
+ makedepends = juce
+ source = sfizz::git+https://github.com/sfztools/sfizz#commit=5835a17
+ md5sums = SKIP
+
+pkgname = sfizz
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..a17e5e8e26c
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,35 @@
+# Maintainer: RedTide <redtid3@gmail.com>
+
+pkgname=sfizz
+pkgver=r48.5835a17
+pkgrel=1
+pkgdesc="Juce based SFZ format sampler"
+url="https://github.com/sfztools/sfizz"
+arch=('x86_64')
+license=('GPL3')
+makedepends=('git' 'juce')
+source=(
+ "$pkgname"::"git+https://github.com/sfztools/sfizz#commit=5835a17"
+)
+md5sums=(
+ 'SKIP'
+)
+pkgver() {
+ cd "$pkgname"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+build() {
+ cd "$srcdir/${pkgname}/Builds/LinuxMakefile"
+ sed -i -e 's/$(HOME)/\/opt/' "./Makefile"
+ make INSTALL_DIR=$pkgdir
+}
+package() {
+ cd "$srcdir/${pkgname}"
+ install -Dm644 "${srcdir}/${pkgname}/bundle/linux/sfizz.desktop" "${pkgdir}/usr/share/applications/sfizz.desktop"
+ install -Dm644 "${srcdir}/${pkgname}/resources/icons/icon_256px.png" "${pkgdir}/usr/share/pixmaps/sfizz.png"
+ install -Dm755 "${srcdir}/${pkgname}/Builds/LinuxMakefile/build/sfizz" "${pkgdir}/usr/bin/sfizz"
+ install -Dm644 "${srcdir}/${pkgname}/LICENSE" "${pkgdir}/usr/share/licenses/sfizz/LICENSE"
+}